Index: serefpolicy-contrib-20140730/redis.te
===================================================================
--- serefpolicy-contrib-20140730.orig/redis.te
+++ serefpolicy-contrib-20140730/redis.te
@@ -1,4 +1,4 @@
-policy_module(redis, 1.1.0)
+policy_module(redis, 1.0.1)
 
 ########################################
 #
@@ -21,6 +21,9 @@ files_type(redis_var_lib_t)
 type redis_var_run_t;
 files_pid_file(redis_var_run_t)
 
+type redis_unit_file_t;
+systemd_unit_file(redis_unit_file_t)
+
 ########################################
 #
 # Local policy
@@ -60,6 +63,4 @@ dev_read_urand(redis_t)
 
 logging_send_syslog_msg(redis_t)
 
-miscfiles_read_localization(redis_t)
-
 sysnet_dns_name_resolve(redis_t)
Index: serefpolicy-contrib-20140730/remotelogin.if
===================================================================
--- serefpolicy-contrib-20140730.orig/remotelogin.if
+++ serefpolicy-contrib-20140730/remotelogin.if
@@ -1,4 +1,4 @@
-## <summary>Rshd, rlogind, and telnetd.</summary>
+## <summary>Policy for rshd, rlogind, and telnetd.</summary>
 
 ########################################
 ## <summary>
@@ -15,13 +15,12 @@ interface(`remotelogin_domtrans',`
 		type remote_login_t;
 	')
 
-	corecmd_search_bin($1)
 	auth_domtrans_login_program($1, remote_login_t)
 ')
 
 ########################################
 ## <summary>
-##	Send generic signals to remote login.
+##	allow Domain to signal remote login domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -39,8 +38,7 @@ interface(`remotelogin_signal',`
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	remote login temporary content.
+##	allow Domain to signal remote login domain.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -48,32 +46,10 @@ interface(`remotelogin_signal',`
 ##	</summary>
 ## </param>
 #
-interface(`remotelogin_manage_tmp_content',`
+interface(`remotelogin_signull',`
 	gen_require(`
-		type remote_login_tmp_t;
-	')
-
-	files_search_tmp($1)
-	allow $1 remote_login_tmp_t:dir manage_dir_perms;
-	allow $1 remote_login_tmp_t:file manage_file_perms;
-')
-
-########################################
-## <summary>
-##	Relabel remote login temporary content.
-## </summary>
-## <param name="domain">
-##	<summary>
-##	Domain allowed access.
-##	</summary>
-## </param>
-#
-interface(`remotelogin_relabel_tmp_content',`
-	gen_require(`
-		type remote_login_tmp_t;
+		type remote_login_t;
 	')
 
-	files_search_tmp($1)
-	allow $1 remote_login_tmp_t:dir relabel_dir_perms;
-	allow $1 remote_login_tmp_t:file relabel_file_perms;
+	allow $1 remote_login_t:process signull;
 ')
Index: serefpolicy-contrib-20140730/remotelogin.te
===================================================================
--- serefpolicy-contrib-20140730.orig/remotelogin.te
+++ serefpolicy-contrib-20140730/remotelogin.te
@@ -10,12 +10,9 @@ domain_interactive_fd(remote_login_t)
 auth_login_pgm_domain(remote_login_t)
 auth_login_entry_type(remote_login_t)
 
-type remote_login_tmp_t;
-files_tmp_file(remote_login_tmp_t)
-
 ########################################
 #
-# Local policy
+# Remote login remote policy
 #
 
 allow remote_login_t self:capability { dac_override chown fowner fsetid kill setgid setuid net_bind_service sys_nice sys_resource sys_tty_config };
@@ -23,68 +20,79 @@ allow remote_login_t self:process ~{ ptr
 allow remote_login_t self:process { setrlimit setexec };
 allow remote_login_t self:fd use;
 allow remote_login_t self:fifo_file rw_fifo_file_perms;
+allow remote_login_t self:sock_file read_sock_file_perms;
+allow remote_login_t self:unix_dgram_socket create_socket_perms;
+allow remote_login_t self:unix_stream_socket create_stream_socket_perms;
 allow remote_login_t self:unix_dgram_socket sendto;
-allow remote_login_t self:unix_stream_socket { accept connectto listen };
-
-manage_dirs_pattern(remote_login_t, remote_login_tmp_t, remote_login_tmp_t)
-manage_files_pattern(remote_login_t, remote_login_tmp_t, remote_login_tmp_t)
-files_tmp_filetrans(remote_login_t, remote_login_tmp_t, { file dir })
+allow remote_login_t self:unix_stream_socket connectto;
+allow remote_login_t self:shm create_shm_perms;
+allow remote_login_t self:sem create_sem_perms;
+allow remote_login_t self:msgq create_msgq_perms;
+allow remote_login_t self:msg { send receive };
+allow remote_login_t self:key write;
 
 kernel_read_system_state(remote_login_t)
 kernel_read_kernel_sysctls(remote_login_t)
 
 dev_getattr_mouse_dev(remote_login_t)
 dev_setattr_mouse_dev(remote_login_t)
+dev_dontaudit_search_sysfs(remote_login_t)
 
 fs_getattr_xattr_fs(remote_login_t)
+fs_search_auto_mountpoints(remote_login_t)
 
 term_relabel_all_ptys(remote_login_t)
 term_use_all_ptys(remote_login_t)
 term_setattr_all_ptys(remote_login_t)
 
-auth_manage_pam_console_data(remote_login_t)
-auth_domtrans_pam_console(remote_login_t)
 auth_rw_login_records(remote_login_t)
 auth_rw_faillog(remote_login_t)
+auth_manage_pam_console_data(remote_login_t)
+auth_domtrans_pam_console(remote_login_t)
 
 corecmd_list_bin(remote_login_t)
 corecmd_read_bin_symlinks(remote_login_t)
+# cjp: these are probably not needed:
+corecmd_read_bin_files(remote_login_t)
+corecmd_read_bin_pipes(remote_login_t)
+corecmd_read_bin_sockets(remote_login_t)
 
 domain_read_all_entry_files(remote_login_t)
 
 files_read_etc_runtime_files(remote_login_t)
 files_list_home(remote_login_t)
-files_read_usr_files(remote_login_t)
 files_list_world_readable(remote_login_t)
 files_read_world_readable_files(remote_login_t)
 files_read_world_readable_symlinks(remote_login_t)
 files_read_world_readable_pipes(remote_login_t)
 files_read_world_readable_sockets(remote_login_t)
 files_list_mnt(remote_login_t)
+# for when /var/mail is a sym-link
 files_read_var_symlinks(remote_login_t)
 
-miscfiles_read_localization(remote_login_t)
+auth_use_nsswitch(remote_login_t)
+
 
 userdom_use_unpriv_users_fds(remote_login_t)
 userdom_search_user_home_content(remote_login_t)
+# Only permit unprivileged user domains to be entered via rlogin,
+# since very weak authentication is used.
 userdom_signal_unpriv_users(remote_login_t)
 userdom_spec_domtrans_unpriv_users(remote_login_t)
+userdom_use_user_ptys(remote_login_t)
 
-tunable_policy(`use_nfs_home_dirs',`
-	fs_read_nfs_files(remote_login_t)
-	fs_read_nfs_symlinks(remote_login_t)
-')
+userdom_manage_user_tmp_dirs(remote_login_t)
+userdom_manage_user_tmp_files(remote_login_t)
+userdom_tmp_filetrans_user_tmp(remote_login_t, { file dir })
 
-tunable_policy(`use_samba_home_dirs',`
-	fs_read_cifs_files(remote_login_t)
-	fs_read_cifs_symlinks(remote_login_t)
-')
+userdom_home_reader(remote_login_t)
 
 optional_policy(`
 	alsa_domtrans(remote_login_t)
 ')
 
 optional_policy(`
+	# Search for mail spool file.
 	mta_getattr_spool(remote_login_t)
 ')
 
Index: serefpolicy-contrib-20140730/resmgr.te
===================================================================
--- serefpolicy-contrib-20140730.orig/resmgr.te
+++ serefpolicy-contrib-20140730/resmgr.te
@@ -42,7 +42,6 @@ dev_getattr_scanner_dev(resmgrd_t)
 
 domain_use_interactive_fds(resmgrd_t)
 
-files_read_etc_files(resmgrd_t)
 
 fs_search_auto_mountpoints(resmgrd_t)
 
@@ -54,8 +53,6 @@ storage_write_scsi_generic(resmgrd_t)
 
 logging_send_syslog_msg(resmgrd_t)
 
-miscfiles_read_localization(resmgrd_t)
-
 userdom_dontaudit_use_unpriv_user_fds(resmgrd_t)
 
 optional_policy(`
Index: serefpolicy-contrib-20140730/rgmanager.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/rgmanager.fc
+++ serefpolicy-contrib-20140730/rgmanager.fc
@@ -1,12 +1,22 @@
-/etc/rc\.d/init\.d/rgmanager	--	gen_context(system_u:object_r:rgmanager_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/cpglockd         --  gen_context(system_u:object_r:rgmanager_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/rgmanager          --  gen_context(system_u:object_r:rgmanager_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/heartbeat    --  gen_context(system_u:object_r:rgmanager_initrc_exec_t,s0)
 
-/usr/sbin/rgmanager	--	gen_context(system_u:object_r:rgmanager_exec_t,s0)
+/usr/sbin/cpglockd                      --      gen_context(system_u:object_r:rgmanager_exec_t,s0)
+/usr/sbin/rgmanager			--	gen_context(system_u:object_r:rgmanager_exec_t,s0)
 
-/usr/sbin/ccs_tool	--	gen_context(system_u:object_r:rgmanager_exec_t,s0)
-/usr/sbin/cman_tool	--	gen_context(system_u:object_r:rgmanager_exec_t,s0)
+/usr/sbin/ccs_tool      --  gen_context(system_u:object_r:rgmanager_exec_t,s0)
+/usr/sbin/cman_tool     --  gen_context(system_u:object_r:rgmanager_exec_t,s0)
 
-/var/log/cluster/rgmanager\.log.*	--	gen_context(system_u:object_r:rgmanager_var_log_t,s0)
+/usr/lib/heartbeat(/.*)?           gen_context(system_u:object_r:rgmanager_var_lib_t,s0)
+/usr/lib/heartbeat/heartbeat   --  gen_context(system_u:object_r:rgmanager_exec_t,s0)
+/var/lib/heartbeat(/.*)?               gen_context(system_u:object_r:rgmanager_var_lib_t,s0)
 
-/var/run/cluster/rgmanager\.sk	-s	gen_context(system_u:object_r:rgmanager_var_run_t,s0)
+/var/log/cluster/cpglockd\.log.*        --      gen_context(system_u:object_r:rgmanager_var_log_t,s0)
+/var/log/cluster/rgmanager\.log.*		--	gen_context(system_u:object_r:rgmanager_var_log_t,s0)
 
-/var/run/rgmanager\.pid	--	gen_context(system_u:object_r:rgmanager_var_run_t,s0)
+/var/run/cluster/rgmanager\.sk		-s	gen_context(system_u:object_r:rgmanager_var_run_t,s0)
+
+/var/run/cpglockd\.pid                --      gen_context(system_u:object_r:rgmanager_var_run_t,s0)
+/var/run/heartbeat(/.*)?             gen_context(system_u:object_r:rgmanager_var_run_t,s0)
+/var/run/rgmanager\.pid			--	gen_context(system_u:object_r:rgmanager_var_run_t,s0)
Index: serefpolicy-contrib-20140730/rgmanager.if
===================================================================
--- serefpolicy-contrib-20140730.orig/rgmanager.if
+++ serefpolicy-contrib-20140730/rgmanager.if
@@ -1,13 +1,13 @@
-## <summary>Resource Group Manager.</summary>
+## <summary>rgmanager - Resource Group Manager</summary>
 
 #######################################
 ## <summary>
 ##	Execute a domain transition to run rgmanager.
 ## </summary>
 ## <param name="domain">
-## <summary>
+##	<summary>
 ##	Domain allowed to transition.
-## </summary>
+##	</summary>
 ## </param>
 #
 interface(`rgmanager_domtrans',`
@@ -21,8 +21,7 @@ interface(`rgmanager_domtrans',`
 
 ########################################
 ## <summary>
-##	Connect to rgmanager with a unix
-##	domain stream socket.
+##	Connect to rgmanager over a unix stream socket.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -39,10 +38,28 @@ interface(`rgmanager_stream_connect',`
 	stream_connect_pattern($1, rgmanager_var_run_t, rgmanager_var_run_t, rgmanager_t)
 ')
 
+########################################
+## <summary>
+##	Manage rgmanager pid files
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`rgmanager_manage_pid_files',`
+	gen_require(`
+		type rgmanager_var_run_t;
+	')
+
+	files_search_pids($1)
+	manage_files_pattern($1, rgmanager_var_run_t, rgmanager_var_run_t)
+')
+
 ######################################
 ## <summary>
-##	Create, read, write, and delete
-##	rgmanager tmp files.
+##	Allow manage rgmanager tmp files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -61,8 +78,7 @@ interface(`rgmanager_manage_tmp_files',`
 
 ######################################
 ## <summary>
-##	Create, read, write, and delete
-##	rgmanager tmpfs files.
+##	Allow manage rgmanager tmpfs files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -79,10 +95,28 @@ interface(`rgmanager_manage_tmpfs_files'
 	manage_files_pattern($1, rgmanager_tmpfs_t, rgmanager_tmpfs_t)
 ')
 
+#######################################
+## <summary>
+##	Allow read and write access to rgmanager semaphores.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`rgmanager_rw_semaphores',`
+	gen_require(`
+		type rgmanager_t;
+	')
+
+	allow $1 rgmanager_t:sem rw_sem_perms;
+')
+
 ######################################
 ## <summary>
-##	All of the rules required to
-##	administrate an rgmanager environment.
+##	All of the rules required to administrate
+##	an rgmanager environment
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -91,7 +125,7 @@ interface(`rgmanager_manage_tmpfs_files'
 ## </param>
 ## <param name="role">
 ##	<summary>
-##	Role allowed access.
+##	The role to be allowed to manage the rgmanager domain.
 ##	</summary>
 ## </param>
 ## <rolecap/>
@@ -102,8 +136,11 @@ interface(`rgmanager_admin',`
 		type rgmanager_tmpfs_t, rgmanager_var_log_t, rgmanager_var_run_t;
 	')
 
-	allow $1 rgmanager_t:process { ptrace signal_perms };
+	allow $1 rgmanager_t:process signal_perms;
 	ps_process_pattern($1, rgmanager_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 rgmanager_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, rgmanager_initrc_exec_t)
 	domain_system_change_exemption($1)
@@ -121,3 +158,66 @@ interface(`rgmanager_admin',`
 	files_list_pids($1)
 	admin_pattern($1, rgmanager_var_run_t)
 ')
+
+
+######################################
+## <summary>
+##  Allow the specified domain to manage rgmanager's lib/run files.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`rgmanager_manage_files',`
+    gen_require(`
+        type rgmanager_var_lib_t;
+        type rgmanager_var_run_t;
+    ')
+
+    files_list_var_lib($1)
+    admin_pattern($1, rgmanager_var_lib_t)
+
+    files_list_pids($1)
+    admin_pattern($1, rgmanager_var_run_t)
+')
+
+######################################
+## <summary>
+##  Allow the specified domain to execute rgmanager's lib files.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`rgmanager_execute_lib',`
+    gen_require(`
+        type rgmanager_var_lib_t;
+    ')
+
+    files_list_var_lib($1)
+    allow $1 rgmanager_var_lib_t:dir search_dir_perms;
+    can_exec($1, rgmanager_var_lib_t)
+')
+
+######################################
+## <summary>
+##  Allow the specified domain to search rgmanager's lib files.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`rgmanager_search_lib',`
+    gen_require(`
+        type rgmanager_var_lib_t;
+    ')
+
+    files_list_var_lib($1)
+    allow $1 rgmanager_var_lib_t:dir search_dir_perms;
+')
Index: serefpolicy-contrib-20140730/rgmanager.te
===================================================================
--- serefpolicy-contrib-20140730.orig/rgmanager.te
+++ serefpolicy-contrib-20140730/rgmanager.te
@@ -1,4 +1,4 @@
-policy_module(rgmanager, 1.4.0)
+policy_module(rgmanager, 1.3.0)
 
 ########################################
 #
@@ -6,10 +6,9 @@ policy_module(rgmanager, 1.4.0)
 #
 
 ## <desc>
-##	<p>
-##	Determine whether rgmanager can
-##	connect to the network using TCP.
-##	</p>
+## <p>
+## Allow rgmanager domain to connect to the network using TCP.
+## </p>
 ## </desc>
 gen_tunable(rgmanager_can_network_connect, false)
 
@@ -26,6 +25,9 @@ files_tmp_file(rgmanager_tmp_t)
 type rgmanager_tmpfs_t;
 files_tmpfs_file(rgmanager_tmpfs_t)
 
+type rgmanager_var_lib_t;
+files_type(rgmanager_var_lib_t)
+
 type rgmanager_var_log_t;
 logging_log_file(rgmanager_var_log_t)
 
@@ -34,14 +36,16 @@ files_pid_file(rgmanager_var_run_t)
 
 ########################################
 #
-# Local policy
+# rgmanager local policy
 #
 
 allow rgmanager_t self:capability { dac_override net_raw sys_resource sys_admin sys_nice ipc_lock };
 allow rgmanager_t self:process { setsched signal };
+
 allow rgmanager_t self:fifo_file rw_fifo_file_perms;
-allow rgmanager_t self:unix_stream_socket { accept listen };
-allow rgmanager_t self:tcp_socket { accept listen };
+allow rgmanager_t self:unix_stream_socket { create_stream_socket_perms };
+allow rgmanager_t self:unix_dgram_socket create_socket_perms;
+allow rgmanager_t self:tcp_socket create_stream_socket_perms;
 
 manage_dirs_pattern(rgmanager_t, rgmanager_tmp_t, rgmanager_tmp_t)
 manage_files_pattern(rgmanager_t, rgmanager_tmp_t, rgmanager_tmp_t)
@@ -51,77 +55,93 @@ manage_dirs_pattern(rgmanager_t, rgmanag
 manage_files_pattern(rgmanager_t, rgmanager_tmpfs_t, rgmanager_tmpfs_t)
 fs_tmpfs_filetrans(rgmanager_t, rgmanager_tmpfs_t, { dir file })
 
-allow rgmanager_t rgmanager_var_log_t:file { append_file_perms create_file_perms setattr_file_perms };
-logging_log_filetrans(rgmanager_t, rgmanager_var_log_t, file)
+# var/lib files
+# # needed by hearbeat
+can_exec(rgmanager_t, rgmanager_var_lib_t)
+manage_files_pattern(rgmanager_t, rgmanager_var_lib_t,rgmanager_var_lib_t)
+manage_dirs_pattern(rgmanager_t, rgmanager_var_lib_t,rgmanager_var_lib_t)
+manage_sock_files_pattern(rgmanager_t, rgmanager_var_lib_t,rgmanager_var_lib_t)
+manage_fifo_files_pattern(rgmanager_t, rgmanager_var_lib_t,rgmanager_var_lib_t)
+files_var_lib_filetrans(rgmanager_t,rgmanager_var_lib_t, { file dir fifo_file sock_file })
+
+
+manage_files_pattern(rgmanager_t, rgmanager_var_log_t, rgmanager_var_log_t)
+logging_log_filetrans(rgmanager_t, rgmanager_var_log_t, { file })
 
+manage_dirs_pattern(rgmanager_t, rgmanager_var_run_t, rgmanager_var_run_t)
 manage_files_pattern(rgmanager_t, rgmanager_var_run_t, rgmanager_var_run_t)
 manage_sock_files_pattern(rgmanager_t, rgmanager_var_run_t, rgmanager_var_run_t)
-files_pid_filetrans(rgmanager_t, rgmanager_var_run_t, { file sock_file })
+files_pid_filetrans(rgmanager_t, rgmanager_var_run_t, { file sock_file dir })
 
+kernel_kill(rgmanager_t)
 kernel_read_kernel_sysctls(rgmanager_t)
+kernel_read_rpc_sysctls(rgmanager_t)
 kernel_read_system_state(rgmanager_t)
 kernel_rw_rpc_sysctls(rgmanager_t)
 kernel_search_debugfs(rgmanager_t)
 kernel_search_network_state(rgmanager_t)
-kernel_manage_unlabeled_dirs(rgmanager_t)
-
-corenet_all_recvfrom_unlabeled(rgmanager_t)
-corenet_all_recvfrom_netlabel(rgmanager_t)
-corenet_tcp_sendrecv_generic_if(rgmanager_t)
-corenet_tcp_sendrecv_generic_node(rgmanager_t)
 
 corecmd_exec_bin(rgmanager_t)
 corecmd_exec_shell(rgmanager_t)
 
+# need to write to /dev/misc/dlm-control
 dev_rw_dlm_control(rgmanager_t)
 dev_setattr_dlm_control(rgmanager_t)
 dev_search_sysfs(rgmanager_t)
 
 domain_read_all_domains_state(rgmanager_t)
 domain_getattr_all_domains(rgmanager_t)
-domain_dontaudit_ptrace_all_domains(rgmanager_t)
 
-files_list_all(rgmanager_t)
+files_create_var_run_dirs(rgmanager_t)
 files_getattr_all_symlinks(rgmanager_t)
+files_list_all(rgmanager_t)
 files_manage_mnt_dirs(rgmanager_t)
-files_read_non_security_files(rgmanager_t)
+files_manage_mnt_files(rgmanager_t)
+files_manage_mnt_symlinks(rgmanager_t)
+files_manage_isid_type_files(rgmanager_t)
+files_manage_isid_type_dirs(rgmanager_t)
 
+fs_getattr_xattr_fs(rgmanager_t)
 fs_getattr_all_fs(rgmanager_t)
 
 storage_raw_read_fixed_disk(rgmanager_t)
+storage_getattr_fixed_disk_dev(rgmanager_t)
 
 term_getattr_pty_fs(rgmanager_t)
 
+# needed by resources scripts
+files_read_non_security_files(rgmanager_t)
 auth_dontaudit_getattr_shadow(rgmanager_t)
 auth_use_nsswitch(rgmanager_t)
 
 init_domtrans_script(rgmanager_t)
+init_initrc_domain(rgmanager_t)
 
 logging_send_syslog_msg(rgmanager_t)
 
-miscfiles_read_localization(rgmanager_t)
+userdom_kill_all_users(rgmanager_t)
 
 tunable_policy(`rgmanager_can_network_connect',`
-	corenet_sendrecv_all_client_packets(rgmanager_t)
 	corenet_tcp_connect_all_ports(rgmanager_t)
-	corenet_tcp_sendrecv_all_ports(rgmanager_t)
 ')
 
+# rgmanager can run resource scripts
 optional_policy(`
 	aisexec_stream_connect(rgmanager_t)
+	corosync_stream_connect(rgmanager_t)
 ')
 
 optional_policy(`
-	consoletype_exec(rgmanager_t)
+	apache_domtrans(rgmanager_t)
+	apache_signal(rgmanager_t)
 ')
 
 optional_policy(`
-	corosync_stream_connect(rgmanager_t)
+	consoletype_exec(rgmanager_t)
 ')
 
 optional_policy(`
-	apache_domtrans(rgmanager_t)
-	apache_signal(rgmanager_t)
+    dbus_system_bus_client(rgmanager_t)
 ')
 
 optional_policy(`
@@ -130,7 +150,6 @@ optional_policy(`
 
 optional_policy(`
 	rhcs_stream_connect_groupd(rgmanager_t)
-	rhcs_stream_connect_gfs_controld(rgmanager_t)
 ')
 
 optional_policy(`
@@ -140,6 +159,7 @@ optional_policy(`
 optional_policy(`
 	ccs_manage_config(rgmanager_t)
 	ccs_stream_connect(rgmanager_t)
+	rhcs_stream_connect_gfs_controld(rgmanager_t)
 ')
 
 optional_policy(`
@@ -147,6 +167,12 @@ optional_policy(`
 ')
 
 optional_policy(`
+	ldap_initrc_domtrans(rgmanager_t)
+	ldap_systemctl(rgmanager_t)
+	ldap_domtrans(rgmanager_t)
+')
+
+optional_policy(`
 	mount_domtrans(rgmanager_t)
 ')
 
@@ -174,12 +200,18 @@ optional_policy(`
 ')
 
 optional_policy(`
+	rpc_initrc_domtrans_nfsd(rgmanager_t)
+	rpc_initrc_domtrans_rpcd(rgmanager_t)
+	rpc_systemctl_nfsd(rgmanager_t)
+	rpc_systemctl_rpcd(rgmanager_t)
+
 	rpc_domtrans_nfsd(rgmanager_t)
 	rpc_domtrans_rpcd(rgmanager_t)
 	rpc_manage_nfs_state_data(rgmanager_t)
 ')
 
 optional_policy(`
+	samba_initrc_domtrans(rgmanager_t)
 	samba_domtrans_smbd(rgmanager_t)
 	samba_domtrans_nmbd(rgmanager_t)
 	samba_manage_var_files(rgmanager_t)
@@ -201,5 +233,9 @@ optional_policy(`
 ')
 
 optional_policy(`
+	unconfined_domain(rgmanager_t)
+')
+
+optional_policy(`
 	xen_domtrans_xm(rgmanager_t)
 ')
Index: serefpolicy-contrib-20140730/rhcs.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/rhcs.fc
+++ serefpolicy-contrib-20140730/rhcs.fc
@@ -1,31 +1,88 @@
-/etc/rc\.d/init\.d/dlm	--	gen_context(system_u:object_r:dlm_controld_initrc_exec_t,s0)
-/etc/rc\.d/init\.d/foghorn	--	gen_context(system_u:object_r:foghorn_initrc_exec_t,s0)
+/usr/sbin/dlm_controld			--	gen_context(system_u:object_r:dlm_controld_exec_t,s0)
+/usr/sbin/fenced			    --	gen_context(system_u:object_r:fenced_exec_t,s0)
+/usr/sbin/fence_node			--	gen_context(system_u:object_r:fenced_exec_t,s0)
+/usr/sbin/fence_sanlockd		--	gen_context(system_u:object_r:fenced_exec_t,s0)
+/usr/sbin/fence_tool            --  gen_context(system_u:object_r:fenced_exec_t,s0) 
+/usr/sbin/fence_virtd 			--  gen_context(system_u:object_r:fenced_exec_t,s0) 
+/usr/sbin/gfs_controld			--	gen_context(system_u:object_r:gfs_controld_exec_t,s0)
+/usr/sbin/foghorn               --  gen_context(system_u:object_r:foghorn_exec_t,s0)
+/usr/sbin/groupd			    --	gen_context(system_u:object_r:groupd_exec_t,s0)
+/usr/sbin/haproxy               --  gen_context(system_u:object_r:haproxy_exec_t,s0)
+/usr/sbin/qdiskd			    --	gen_context(system_u:object_r:qdiskd_exec_t,s0)
 
-/usr/sbin/dlm_controld	--	gen_context(system_u:object_r:dlm_controld_exec_t,s0)
-/usr/sbin/fenced	--	gen_context(system_u:object_r:fenced_exec_t,s0)
-/usr/sbin/fence_node	--	gen_context(system_u:object_r:fenced_exec_t,s0)
-/usr/sbin/fence_tool	--	gen_context(system_u:object_r:fenced_exec_t,s0)
-/usr/sbin/foghorn	--	gen_context(system_u:object_r:foghorn_exec_t,s0)
-/usr/sbin/gfs_controld	--	gen_context(system_u:object_r:gfs_controld_exec_t,s0)
-/usr/sbin/groupd	--	gen_context(system_u:object_r:groupd_exec_t,s0)
-/usr/sbin/qdiskd	--	gen_context(system_u:object_r:qdiskd_exec_t,s0)
+/usr/lib/systemd/system/haproxy.*     --  gen_context(system_u:object_r:haproxy_unit_file_t,s0)
 
-/var/lock/fence_manual\.lock	--	gen_context(system_u:object_r:fenced_lock_t,s0)
+/var/lock/fence_manual\.lock		--	gen_context(system_u:object_r:fenced_lock_t,s0)
 
-/var/lib/qdiskd(/.*)?	gen_context(system_u:object_r:qdiskd_var_lib_t,s0)
+/var/lib/cluster(/.*)?				gen_context(system_u:object_r:cluster_var_lib_t,s0)
+/var/lib/haproxy(/.*)?              gen_context(system_u:object_r:haproxy_var_lib_t,s0)
+/var/lib/qdiskd(/.*)?				gen_context(system_u:object_r:qdiskd_var_lib_t,s0)
 
-/var/log/cluster/.*\.log	<<none>>
+/var/log/cluster/.*\.*log			<<none>>
 /var/log/cluster/dlm_controld\.log.*	--	gen_context(system_u:object_r:dlm_controld_var_log_t,s0)
-/var/log/cluster/fenced\.log.*	--	gen_context(system_u:object_r:fenced_var_log_t,s0)
+/var/log/cluster/fenced\.log.*		    --	gen_context(system_u:object_r:fenced_var_log_t,s0)
 /var/log/cluster/gfs_controld\.log.*	--	gen_context(system_u:object_r:gfs_controld_var_log_t,s0)
-/var/log/cluster/qdiskd\.log.*	--	gen_context(system_u:object_r:qdiskd_var_log_t,s0)
-/var/log/dlm_controld(/.*)?	gen_context(system_u:object_r:dlm_controld_var_log_t,s0)
+/var/log/cluster/qdiskd\.log.*		    --	gen_context(system_u:object_r:qdiskd_var_log_t,s0)
+/var/log/dlm_controld(/.*)?	                gen_context(system_u:object_r:dlm_controld_var_log_t,s0)
 
 /var/run/cluster/fenced_override	--	gen_context(system_u:object_r:fenced_var_run_t,s0)
-/var/run/cluster/fence_scsi.*	--	gen_context(system_u:object_r:fenced_var_run_t,s0)
-/var/run/dlm_controld\.pid	--	gen_context(system_u:object_r:dlm_controld_var_run_t,s0)
-/var/run/dlm_controld(/.*)?	gen_context(system_u:object_r:dlm_controld_var_run_t,s0)
-/var/run/fenced\.pid	--	gen_context(system_u:object_r:fenced_var_run_t,s0)
-/var/run/gfs_controld\.pid	--	gen_context(system_u:object_r:gfs_controld_var_run_t,s0)
-/var/run/groupd\.pid	--	gen_context(system_u:object_r:groupd_var_run_t,s0)
-/var/run/qdiskd\.pid	--	gen_context(system_u:object_r:qdiskd_var_run_t,s0)
+/var/run/cluster/fence_scsi.*           --       gen_context(system_u:object_r:fenced_var_run_t,s0)
+/var/run/dlm_controld\.pid		--	gen_context(system_u:object_r:dlm_controld_var_run_t,s0)
+/var/run/dlm_controld(/.*)?		    gen_context(system_u:object_r:dlm_controld_var_run_t,s0)
+/var/run/fence.*				    gen_context(system_u:object_r:fenced_var_run_t,s0)
+/var/run/gfs_controld\.pid		--	gen_context(system_u:object_r:gfs_controld_var_run_t,s0)
+/var/run/groupd\.pid			--	gen_context(system_u:object_r:groupd_var_run_t,s0)
+/var/run/haproxy\.pid           --  gen_context(system_u:object_r:haproxy_var_run_t,s0)
+/var/run/haproxy\.stat.*        --  gen_context(system_u:object_r:haproxy_var_run_t,s0)
+/var/run/haproxy\.sock.*        --  gen_context(system_u:object_r:haproxy_var_run_t,s0)
+/var/run/qdiskd\.pid			--	gen_context(system_u:object_r:qdiskd_var_run_t,s0)
+
+# cluster administrative domains file spec
+/etc/rc\.d/init\.d/openais  --  gen_context(system_u:object_r:cluster_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/cpglockd         --  gen_context(system_u:object_r:cluster_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/corosync --  gen_context(system_u:object_r:cluster_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/rgmanager          --  gen_context(system_u:object_r:cluster_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/heartbeat    --  gen_context(system_u:object_r:cluster_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/pacemaker    --  gen_context(system_u:object_r:cluster_initrc_exec_t,s0)
+
+/usr/lib/systemd/system/corosync.*  -- gen_context(system_u:object_r:cluster_unit_file_t,s0)
+/usr/lib/systemd/system/pacemaker.* --  gen_context(system_u:object_r:cluster_unit_file_t,s0)
+/usr/lib/systemd/system/pcsd.*      --  gen_context(system_u:object_r:cluster_unit_file_t,s0)
+
+/usr/sbin/aisexec   		--  gen_context(system_u:object_r:cluster_exec_t,s0)
+/usr/sbin/corosync  		--  gen_context(system_u:object_r:cluster_exec_t,s0)
+/usr/sbin/corosync-notifyd  --  gen_context(system_u:object_r:cluster_exec_t,s0)
+/usr/sbin/cpglockd			--	gen_context(system_u:object_r:cluster_exec_t,s0)
+/usr/sbin/ccs_tool      	--  gen_context(system_u:object_r:cluster_exec_t,s0)
+/usr/sbin/cman_tool     	--  gen_context(system_u:object_r:cluster_exec_t,s0)
+/usr/sbin/ldirectord        --  gen_context(system_u:object_r:cluster_exec_t,s0)
+/usr/sbin/rgmanager         --  gen_context(system_u:object_r:cluster_exec_t,s0)
+/usr/sbin/pacemakerd    	--  gen_context(system_u:object_r:cluster_exec_t,s0)
+/usr/sbin/pacemaker_remoted --  gen_context(system_u:object_r:cluster_exec_t,s0)
+
+/usr/lib/pcsd/pcsd          --  gen_context(system_u:object_r:cluster_exec_t,s0)
+
+/usr/lib/heartbeat(/.*)?			gen_context(system_u:object_r:cluster_var_lib_t,s0)
+/usr/lib/heartbeat/heartbeat   -- 	gen_context(system_u:object_r:cluster_exec_t,s0)
+/var/lib/heartbeat(/.*)?			gen_context(system_u:object_r:cluster_var_lib_t,s0)
+/var/lib/corosync(/.*)? 			gen_context(system_u:object_r:cluster_var_lib_t,s0)
+/var/lib/openais(/.*)?  			gen_context(system_u:object_r:cluster_var_lib_t,s0)
+/var/lib/pacemaker(/.*)?			gen_context(system_u:object_r:cluster_var_lib_t,s0)
+/var/lib/pcsd(/.*)?                 gen_context(system_u:object_r:cluster_var_lib_t,s0)
+/var/lib/pengine(/.*)?				gen_context(system_u:object_r:cluster_var_lib_t,s0)
+
+/var/run/aisexec.*  				gen_context(system_u:object_r:cluster_var_run_t,s0)
+/var/run/cman_.*    				-s  gen_context(system_u:object_r:cluster_var_run_t,s0)
+/var/run/cluster/rgmanager\.sk      -s  gen_context(system_u:object_r:cluster_var_run_t,s0)
+/var/run/cpglockd\.pid			--	gen_context(system_u:object_r:cluster_var_run_t,s0)
+/var/run/corosync\.pid 			--  gen_context(system_u:object_r:cluster_var_run_t,s0)
+/var/run/crm(/.*)?					gen_context(system_u:object_r:cluster_var_run_t,s0)
+/var/run/heartbeat(/.*)?            gen_context(system_u:object_r:cluster_var_run_t,s0)
+/var/run/rgmanager\.pid         --  gen_context(system_u:object_r:cluster_var_run_t,s0)
+/var/run/rsctmp(/.*)?   			gen_context(system_u:object_r:cluster_var_run_t,s0)
+
+/var/log/cluster/aisexec\.log.* --  gen_context(system_u:object_r:cluster_var_log_t,s0)
+/var/log/cluster/cpglockd\.log.*        --      gen_context(system_u:object_r:cluster_var_log_t,s0)
+/var/log/cluster/corosync\.log.*    --  gen_context(system_u:object_r:cluster_var_log_t,s0)
+/var/log/cluster/rgmanager\.log.*       --  gen_context(system_u:object_r:cluster_var_log_t,s0)
+/var/log/pcsd(/.*)?     gen_context(system_u:object_r:cluster_var_log_t,s0)
